Bug 1572306 - Katello Event Queue db queries need improvement
Summary: Katello Event Queue db queries need improvement
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Performance
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 16:06 UTC by pm-sat@redhat.com
Modified: 2019-11-05 23:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1560740
Environment:
Last Closed: 2018-10-16 19:15:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 22978 0 None None None 2018-04-26 16:06:06 UTC

Comment 2 Jitendra Yejare 2018-06-20 10:01:59 UTC
Verified!

Steps:

As per script [1] used in original bug [2] of this bug.

Observation:

The time taken (25 seconds only) to clear 30000 event queues is much smaller than the issue observed in 6.3 (5 minutes).

[1]: https://bugzilla.redhat.com/show_bug.cgi?id=1560740#c6
[2]: https://bugzilla.redhat.com/show_bug.cgi?id=1560740

Comment 3 Bryan Kearney 2018-10-16 19:15:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.